KiCad unable to open PCB... more recent version than... From Github, V5.1.12

I have been following a thread related to a PCB design at this link:

I found that I cannot open the PCB file in the project at that github repository.
The error says the PCB is newer than my version.
Here is the error dialog:
image
I do not know the version used by the creator of the repository.

This morning I was using V5.1.10 am I am now using V5.1.12 (as of mid day today).
Another persons participating on the same thread had the same error and is at V5.1.12.
However, another person using the same version(s) is able to open the PCB file.

How might I (we) try to narrow down the problem?

I would really like to participate more with the other thread and this is a blocker to me.

That file was written with 6.0.0-rc1 (aka: the current nightly).

2 Likes

Github instructions.

1 Like

Regarding the current nightly, I suspected it might be as much but why can one user open it with a V5… but two of us cannot?

Also as I wrote at the other thread how does one find the V6? And install it and not corrupt my stable released version on which I really want to work.

I’m guessing that the person that can open it has a nightly installed and doesn’t realize or something. 5.1 definitely shouldn’t be opening 6.0 files.

There are two different PCBs being talked about in that thread.

The PCB checked into GitHub was created by @Dennisch using KiCad 6. It cannot be opened with KiCad 5.

There was another PCB in that thread created by @Cosmin using KiCad 5, based on some footprint placement that I did. That version is not checked into GitHub; it was posted as a RAR file.

@Piotr claimed to have opened the version from GitHub with KiCad 5. However, if you look at the screenshot he posted, it is obviously the PCB created by @Cosmin, not the PCB created by @Dennisch.

Did you finally manage to find and install 6.0?

Yes, the screenshot confused me to. At first site I thought it was the same PCB but later I saw that it is actually a new design for the same schematic.

I didn’t noticed you are speaking about two separate pcb files.

I found the link to the “nightly build” at last:
https://downloads.kicad.org/kicad/windows/explore/nightlies

However, I am not willing to migrate to this “These builds may be unstable, and projects edited with these are not usable with the current stable release”
IF there is a way, I will consider installing it in parallel if it will not replace and or destabalize my V5.1.12.

Anyone able to tell me if this is possible and provide a link to instructions on how?

Perhaps this will help:

Hello @ForrestErickson

The link @hmk supplied is very dated.
5.99, now, 6.0 installs absolutely independently of 5.1.12. It also has its own set of libraries (don’t forget to install these) and a pretty blue icon link for your desktop :slightly_smiling_face:.

Projects and personal libraries, when copied to 6.0 from 5.1.12 are renamed upon saving BUT are also left in 5.1.12 format totally free of corruption.

The only catch is once anything is in 6.0 format, it cannot then be opened in 5.1.12, however, any 5.1.12 opens correctly in 6.0.

There was also mention on this board, somewhere, that 6.0 is now considered more stable than 5.1.12, as nearly all development effort is being devoted to this newer project.

It was my understanding that the first paragraph in eelik’s instructions states the same as you do, despite being ‘dated’ (beginning of january 2021).

Update for 5.99 and future versions:

The new settings architecture with versioned settings has been migrated into 5.99 (the development code or nightly builds). It will make these instructions mostly obsolete for v6.0 and later if the need is to run several different versions. Each x.y version will have its own settings folder automatically. KICAD_CONFIG_HOME can still be used if wanted. The Start menu isn’t a problem anymore either; the Windows installer has been changed so that KiCad 5.99 and above are installed to their own folders by default and each version has its own Start menu item.

In short, just use the latest Windows installer package for nighly builds or in the future v6 or later, and different x.y versions will be installed and used separately.

Running multiple instances of the same version still requires KICAD_CONFIG_HOME.

As far as I can speak for eelik, I would say your understanding is correct.

Hello jmk, hmk, eelik,
Seams as if the 5.99 nightly build will be a separate install an will no replace my V5.1.12.
Thanks,

Stream of attempt follows
Found: kicad-msvc.r25393.694bea187e-i686-pdbs.zip

I am downloading even as I type. I’t done. Trying to install.
Blocker
image

The dialog tells you what to do. It has nothing to do with KiCad itself, probably not even the installer.

EDIT: but you shouldn’t be installing that package anyway. pdbs has debugging data or something like that. The .exe files there are installers. Lite doesn’t have the libraries included in the package.

Hello eelink,
I went back and noticed the much larger file “kicad-msvc.r25393.694bea187e-i686.exe” which I infered is the real installer / executable. It is downloaded and slowly installing right now.

I mistakenly thought the second file was indicating it was for Intel processors which is my type.

Sigh…

edit
It has loaded. I can open the PCB file!
Hurray!

Now if I could only remember why I wanted to open it

1 Like